Skip to content

Reorder Admin Clips

POST
/api/superadmin/clips/reorder
curl --request POST \
--url https://example.com/api/superadmin/clips/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "names": [ "example" ] }'

Rewrite the gallery order to match names exactly.

Media type application/json
ReorderBody
object
names
required
Names
Array<string>
>= 1 items <= 50 items
Example generated
{
"names": [
"example"
]
}

Successful Response

Media type application/json
Response Reorder Admin Clips Api Superadmin Clips Reorder Post
object
key
additional properties
any
Example generated
{}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}